Bug 85263 - No error dialog if deps not met
No error dialog if deps not met
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-02-26 19:55 EST by James Mitchell Ullman
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-29 16:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Mitchell Ullman 2003-02-26 19:55:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
This is only true(as far as I can tell) when you double click an RPM file from
within Nautilus.  The password dialog appears, you enter the root password, and
it begins processing.  If the RPM in question is in need of dependencies that
cannot be met, the progress dialog showing r-c-p's current state spedily
disappears.  If run in CLI mode, the dependencies are listed, as they should be
in GUI mode in a dialog.

Version-Release number of selected component (if applicable):

phoebe 8.0.94 
redhat-config-packages 1.1.6

How reproducible:

Steps to Reproduce:
1.Double click an RPM(which has unsatisfiable dependencies) in Nautilus
2.Enter root password
3.Watch dialog for redhat-config-packages pop up on screen and disappear

Actual Results:  No error dialog stating the reason for failure and list of
dependencies displayed.

Expected Results:  An error dialog should display the reason for failure of
installation and a list of dependencies(given that is the reason for failure).

Additional info:

The RPM in question is apt-0.5.5cnc2-fr1.i386.rpm
Yeah, I know it won't install, I just wanted to try some things that I knew
wouldn't work to check for this very type of behaviour.  I do like the 'quick
install' method in Nautilus though.  Very polished.
Comment 1 Jeremy Katz 2003-02-26 20:04:09 EST
Try with 1.1.8-1 from
http://people.redhat.com/~katzj/redhat-config-packages/1.1.8/.  It should work
Comment 2 James Mitchell Ullman 2003-02-26 21:20:21 EST
That seemed to have borked rpm!  I had to --force it(which I feel dirty for in
the first place) b/c it was moaning about a few files.  Now,
redhat-config-packages doesn't finish coming up and running rpm from the command
line just goes to sleep!  Ack!
Comment 3 James Mitchell Ullman 2003-02-27 08:04:29 EST
OK.  This morning I booted up before I left for work and tried using RPM from
the command line.  It seems to be working now.  However, I tried installing
gkrellm from the cd(it had no deps that weren't already resolved... I checked at
the command line) and I got similar results to the original(no install and a
quick showing of the progress dialog).  If I install it manually, and try to
install it again, I do get an error prompt stating that it is already installed.  

Note You need to log in before you can comment on or make changes to this bug.